<template>
  <div class="container">
    <Header title="Task Tracker"/>
    <div v-show="showAddTask">
      <AddTask @add-task="addTask"/>
    </div>
    <Tasks :tasks="tasks"/>
  </div>
</template>

<script>
import Header from "./components/Header";
import Tasks from "./components/Tasks";
import AddTask from "./components/AddTask";

export default {
  name: 'App',
  components: {
    Tasks,
    Header,
    AddTask,
  },
  data() {
    return {
      tasks: [],
      showAddTask: false
    }
  },
  methods: {
    addTask(t) {
      console.log(`addTask called`)
      this.tasks = [...this.tasks, t]
    },
    deleteTask(id) {
      if (confirm('Are you sure')) {
        this.tasks = this.tasks.filter(t => t.id !== id);
      }
    },
    toggleReminder(id) {
      this.tasks = this.tasks.map(t => t.id === id ? {...t, reminder: !t.reminder}: t)
    }
  },

  created() {
    this.tasks = [
      {
        "id": 1,
        "text": "t1",
        "day": "March 1st at 2:30pm",
        "reminder": true,
      },

      {
        "id": 2,
        "text": "t2",
        "day": "March 1st at 2:30pm",
        "reminder": false,
      }
    ]
  }
}
</script>

<style>
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}
body {
  font-family: 'Poppins', sans-serif;
}
.container {
  max-width: 500px;
  margin: 30px auto;
  overflow: auto;
  min-height: 300px;
  border: 1px solid steelblue;
  padding: 30px;
  border-radius: 5px;
}
.btn {
  display: inline-block;
  background: #000;
  color: #fff;
  border: none;
  padding: 10px 20px;
  margin: 5px;
  border-radius: 5px;
  cursor: pointer;
  text-decoration: none;
  font-size: 15px;
  font-family: inherit;
}
.btn:focus {
  outline: none;
}
.btn:active {
  transform: scale(0.98);
}
.btn-block {
  display: block;
  width: 100%;
}
</style>
